--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Set the source info cache data directly. This is mainly used for unit testing when we don't want to read a file system to grab the cached source index information. The <tt>hash</tt> should map a source URL into a SourceInfoCacheEntry.
full_name: Gem::SourceInfoCache#set_cache_data
is_singleton: false
name: set_cache_data
params: (hash)
visibility: public
